virtualenv_fwdriver:
  virtualenv.managed:
    - python: /usr/bin/python3
    - name: /home/{{ pillar['fwdriver']['user'] }}/.virtualenvs/fw
    - requirements: /home/{{ pillar['fwdriver']['user'] }}/fwdriver/requirements/{{ pillar['deployment_type'] }}.txt
    - user: {{ pillar['fwdriver']['user'] }}
    - no_chown: true
    - require:
      - git: gitrepo_fwdriver
      - virtualenv: virtualenv_fwdriver_install_first

virtualenv_fwdriver_install_first:
  virtualenv.managed:
    - python: /usr/bin/python3
    - name: /home/{{ pillar['fwdriver']['user'] }}/.virtualenvs/fw
    - requirements: /home/{{ pillar['fwdriver']['user'] }}/fwdriver/requirements/install_first.txt
    - user: {{ pillar['fwdriver']['user'] }}
    - no_chown: true

